Đến nội dung


Hình ảnh
- - - - -

Mới nghiên cứu về autolisp


  • Please log in to reply
9 replies to this topic

#1 tn20159

tn20159

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 February 2009 - 04:40 PM

Mình muốn nghiên cứu về autolisp để phục vụ cho việc vẽ trên autocad nhanh hơn và mình cũng có 1 giáo trình autolisp nhưng đọc thì được nhưng không hiểu để ứng dụng ví dụ như mình muốn viết một đoạn mã đơn giản để hiển thị trên màn hình như:
(princ "\nChao cadviet")
(princ)
Nhưng không biết làm thế nào cho thể hiện trên màn hình được, Mong các Bác chỉ giáo.
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 06 February 2009 - 05:02 PM

Mình muốn nghiên cứu về autolisp để phục vụ cho việc vẽ trên autocad nhanh hơn và mình cũng có 1 giáo trình autolisp nhưng đọc thì được nhưng không hiểu để ứng dụng ví dụ như mình muốn viết một đoạn mã đơn giản để hiển thị trên màn hình như:
(princ "\nChao cadviet")
(princ)
Nhưng không biết làm thế nào cho thể hiện trên màn hình được, Mong các Bác chỉ giáo.

Bạn xem ở đây: Cách dùng mã lisp
  • 0

#3 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 06 February 2009 - 05:05 PM

Mình muốn nghiên cứu về autolisp để phục vụ cho việc vẽ trên autocad nhanh hơn và mình cũng có 1 giáo trình autolisp nhưng đọc thì được nhưng không hiểu để ứng dụng ví dụ như mình muốn viết một đoạn mã đơn giản để hiển thị trên màn hình như:
(princ "\nChao cadviet")
(princ)
Nhưng không biết làm thế nào cho thể hiện trên màn hình được, Mong các Bác chỉ giáo.

Đoạn Code :
(defun c:CVIET()
(setq dc (getpoint "\nCho diem chen :"))
(command "-style" "CADVIET" "VNARIAL.TTF" "0" "1" "0" "n" "n")
(command ".TEXT" "m" dc 250 0 "Chao cadviet")
(princ)
)
  • 0

#4 tn20159

tn20159

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 February 2009 - 06:10 PM

Bạn xem ở đây: Cách dùng mã lisp

Thanks, Mình rất kỹ nhưng vẫn không làm được. Mong bác giúp cho, mình chỉ thấy commad "chao cad viet" nhưng không thấy trên màn hình vẽ.
  • 0

#5 tn20159

tn20159

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 February 2009 - 06:11 PM

Đoạn Code :
(defun c:CVIET()
(setq dc (getpoint "\nCho diem chen :"))
(command "-style" "CADVIET" "VNARIAL.TTF" "0" "1" "0" "n" "n")
(command ".TEXT" "m" dc 250 0 "Chao cadviet")
(princ)
)

Thanks, Mình đọc rất kỹ nhưng vẫn không làm được. Mong bác giúp cho, mình chỉ thấy commad "chao cad viet" nhưng không thấy trên màn hình vẽ.
  • 0

#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 February 2009 - 06:36 PM

Thanks, Mình đọc rất kỹ nhưng vẫn không làm được. Mong bác giúp cho, mình chỉ thấy commad "chao cad viet" nhưng không thấy trên màn hình vẽ.

Sau khi bạn load đoạn lisp này vào bản vẽ, bạn phải gõ Cviet vào dòng nhắc lệnh command của autocad thì nó mới vẽ cho bạn xem được chứ. Không ra lệnh cho nó thì tất nhiên nó đứng chơi rồi, chả trách nó được.
Mà bạn nên lưu ý là phải chọn điểm chèn text nữa thì nó mới viết cho bạn được. Nếu bạn chọn kích thước màn hình quá nhỏ thì có thể sẽ không thấy chữ do nó nằm ngoài phần giới hạn của màn hình. Bạn phải Zoom all màn hình mới thấy được. Nếu bạn chọn kích thước màn hình quá lớn thì cái chữ sẽ nhỏ li ti , bạn phải zoom in nó mới thấy được.
Chúc bạn thành công.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#7 tn20159

tn20159

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 February 2009 - 06:49 PM

Sau khi bạn load đoạn lisp này vào bản vẽ, bạn phải gõ Cviet vào dòng nhắc lệnh command của autocad thì nó mới vẽ cho bạn xem được chứ. Không ra lệnh cho nó thì tất nhiên nó đứng chơi rồi, chả trách nó được.
Mà bạn nên lưu ý là phải chọn điểm chèn text nữa thì nó mới viết cho bạn được. Nếu bạn chọn kích thước màn hình quá nhỏ thì có thể sẽ không thấy chữ do nó nằm ngoài phần giới hạn của màn hình. Bạn phải Zoom all màn hình mới thấy được. Nếu bạn chọn kích thước màn hình quá lớn thì cái chữ sẽ nhỏ li ti , bạn phải zoom in nó mới thấy được.
Chúc bạn thành công.

Thanks, mình không hiểu chèn text là như thế nào bác có thể giải thích rõ hơn không?
  • 0

#8 tn20159

tn20159

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 February 2009 - 07:17 PM

Sau khi bạn load đoạn lisp này vào bản vẽ, bạn phải gõ Cviet vào dòng nhắc lệnh command của autocad thì nó mới vẽ cho bạn xem được chứ. Không ra lệnh cho nó thì tất nhiên nó đứng chơi rồi, chả trách nó được.
Mà bạn nên lưu ý là phải chọn điểm chèn text nữa thì nó mới viết cho bạn được. Nếu bạn chọn kích thước màn hình quá nhỏ thì có thể sẽ không thấy chữ do nó nằm ngoài phần giới hạn của màn hình. Bạn phải Zoom all màn hình mới thấy được. Nếu bạn chọn kích thước màn hình quá lớn thì cái chữ sẽ nhỏ li ti , bạn phải zoom in nó mới thấy được.
Chúc bạn thành công.

Thanks, mình đã làm được rồi. Nhưng mình lại không hiểu tại sao lại phải commad: Cviet
  • 0

#9 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 06 February 2009 - 07:39 PM

Thanks, mình đã làm được rồi. Nhưng mình lại không hiểu tại sao lại phải commad: Cviet

Đoạn Code :
(defun c:CVIET()
(setq dc (getpoint "\nCho diem chen :"))
(command "-style" "CADVIET" "VNARIAL.TTF" "0" "1" "0" "n" "n")
(command ".TEXT" "m" dc 250 0 "Chao cadviet")
(princ)
)

Sau chữ (defun c: chính là tên lệnh.
Vậy tên lệnh file Lisp trên chính là CVIET
Bạn hãy xem thêm ở đây : Hướng dẫn sử dụng mã Lisp
  • 0

#10 tn20159

tn20159

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 February 2009 - 08:25 PM

Đoạn Code :
(defun c:CVIET()
(setq dc (getpoint "\nCho diem chen :"))
(command "-style" "CADVIET" "VNARIAL.TTF" "0" "1" "0" "n" "n")
(command ".TEXT" "m" dc 250 0 "Chao cadviet")
(princ)
)

Sau chữ (defun c: chính là tên lệnh.
Vậy tên lệnh file Lisp trên chính là CVIET
Bạn hãy xem thêm ở đây : Hướng dẫn sử dụng mã Lisp

Rất cảm ơn vì Bác rất nhiệt tình giúp đỡ.
  • 0